﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Bonhomme02
{
    class Bonhomme : Peau
    {
        Tete tete;
        public Jambe jambe;

        public Bonhomme() : base()
        {

        }

        public Bonhomme(PictureBox hebergeur) : base( hebergeur)
        {
        }
        public Bonhomme(PictureBox hebergeur, double lg, double ep, double angle) : base( hebergeur,  lg,  ep,  angle)
        {
           
        }
        public Bonhomme(PictureBox hebergeur, int xy) : base( hebergeur,  xy)
        {
        }

        public Bonhomme(PictureBox hebergeur, int x, int y, double lg, double ep, double angle) : base( hebergeur,  x,  y,  lg,  ep,  angle)
        {
            Peau me = this;
            jambe = new Jambe(hebergeur, ref me, 100, 10, Math.PI / 2);             tete = new Tete(hebergeur, ref me, 35);
        }
        public Bonhomme(PictureBox hebergeur, ref Peau parent, double lg, double ep, double angle) : base( hebergeur, ref  parent,  lg,  ep,  angle)
        {
            
        }
        public Bonhomme(int x, int y) : base( x,  y)
        {
        }
        public Bonhomme(PictureBox hebergeur, int xy, Color crayon) : base( hebergeur,  xy,  crayon)
        {
        }
        public new void Afficher(IntPtr handle)
        {
            base.Afficher(handle);
            tete.Afficher(handle);
            jambe.Afficher(handle);
        }

        public new void Cacher(IntPtr handle)
        {
            base.Cacher(handle);
            tete.Cacher(handle);
            jambe.Cacher(handle);

        }
    }
}
